#/bin/bash

# Create systemd user directory
echo "Create systemd user directory."
mkdir -vp ~/.config/systemd/user

# Copy unit files
echo "Copy  unit files."
cp -v theme-switcher.{service,timer} ~/.config/systemd/user

# Add username to service file
echo "Edit service unit file."
sed -i "s/username/$(whoami)/g" ~/.config/systemd/user/theme-switcher.service

# Make directory for scripts
echo "Create script directory in /home."
mkdir -vp ~/.theme-switcher

# Copy script file
echo "Copy script into directory."
cp -v *.sh ~/.theme-switcher

# Enable and start timer
echo "Enabling timer."
systemctl --user enable theme-switcher.timer
echo "Starting timer."
systemctl --user start theme-switcher.timer
echo "Starting service."
systemctl --user start theme-switcher